@echo off

:: Redis software folder path
set redisPath=D:\UOB_Line\Redis\1 Server Setup - SIT\Windows\Redis

:: Redis config files path
set configPath=D:\UOB_Line\Redis\1 Server Setup - SIT\Windows\Redis\redis-configs

:: Path where Redis-Install.bat file is placed
set installPath=D:\UOB_Line\Redis\1 Server Setup - SIT\Windows

echo Starting Redis Server
pushd %installPath%

xcopy "%configPath%\*.conf" "%redisPath%" /s/y

sc create redis-master binpath= "\"%redisPath%\redis-server.exe\" --service-run \"%redisPath%\redis-master.conf\"  "
sc config redis-master start=auto
sc start redis-master
sc create redis-slave1 binpath= "\"%redisPath%\redis-server.exe\" --service-run \"%redisPath%\redis-slave1.conf\"  "
sc config redis-slave1 start=auto
sc start redis-slave1
sc create redis-slave2 binpath= "\"%redisPath%\redis-server.exe\" --service-run \"%redisPath%\redis-slave2.conf\"  "
sc config redis-slave2 start=auto
sc start redis-slave2
sc create redis-sentinel1 binpath= "\"%redisPath%\redis-server.exe\" --service-run \"%redisPath%\redis-sentinel1.conf\" --sentinel "
sc config redis-sentinel1 start=auto
sc start redis-sentinel1
sc create redis-sentinel2 binpath= "\"%redisPath%\redis-server.exe\" --service-run \"%redisPath%\redis-sentinel2.conf\" --sentinel "
sc config redis-sentinel2 start=auto
sc start redis-sentinel2
sc create redis-sentinel3 binpath= "\"%redisPath%\redis-server.exe\" --service-run \"%redisPath%\redis-sentinel3.conf\" --sentinel "
sc config redis-sentinel3 start=auto
sc start redis-sentinel3

